OpenNMS API 1.2.9

## org.opennms.netmgt.xml.eventconf
Class Mask

    java.lang.Object
      org.opennms.netmgt.xml.eventconf.Mask

All Implemented Interfaces:
  java.io.Serializable

public class Mask
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_maskelementList`
`private java.util.ArrayList` `_varbindList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Mask()`

Method Summary
`void` `addMaskelement(int index, Maskelement vMaskelement)`
`void` `addMaskelement(Maskelement vMaskelement)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addVarbind(int index, Varbind vVarbind)`
`void` `addVarbind(Varbind vVarbind)`
`void` `clearMaskelement()`
`void` `clearVarbind()`
`java.util.Enumeration` `enumerateMaskelement()`
`java.util.Enumeration` `enumerateVarbind()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Maskelement[]` `getMaskelement()`
`Maskelement` `getMaskelement(int index)`
`java.util.Collection` `getMaskelementCollection()`
`int` `getMaskelementCount()`
`Varbind[]` `getVarbind()`
`Varbind` `getVarbind(int index)`
`java.util.Collection` `getVarbindCollection()`
`int` `getVarbindCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeMaskelement(Maskelement vMaskelement)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeVarbind(Varbind vVarbind)`
`void` `setMaskelement(int index, Maskelement vMaskelement)`
`void` `setMaskelement(Maskelement[] maskelementArray)`
`void` `setMaskelementCollection(java.util.Collection vMaskelement)`
`void` `setVarbind(int index, Varbind vVarbind)`
`void` `setVarbind(Varbind[] varbindArray)`
`void` `setVarbindCollection(java.util.Collection vVarbind)`
`static Mask` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _maskelementList

    private java.util.ArrayList _maskelementList

### _varbindList

    private java.util.ArrayList _varbindList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Mask

    public Mask()

Method Detail

### addMaskelement

    public void addMaskelement(Maskelement vMaskelement)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vMaskelement` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addMaskelement

    public void addMaskelement(int index,
                               Maskelement vMaskelement)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMaskelement` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addVarbind

    public void addVarbind(Varbind vVarbind)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vVarbind` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addVarbind

    public void addVarbind(int index,
                           Varbind vVarbind)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vVarbind` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearMaskelement

    public void clearMaskelement()

### clearVarbind

    public void clearVarbind()

### enumerateMaskelement

    public java.util.Enumeration enumerateMaskelement()

### enumerateVarbind

    public java.util.Enumeration enumerateVarbind()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getMaskelement

    public Maskelement getMaskelement(int index)
                               throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getMaskelement

    public Maskelement[] getMaskelement()

### getMaskelementCollection

    public java.util.Collection getMaskelementCollection()

### getMaskelementCount

    public int getMaskelementCount()

### getVarbind

    public Varbind getVarbind(int index)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getVarbind

    public Varbind[] getVarbind()

### getVarbindCollection

    public java.util.Collection getVarbindCollection()

### getVarbindCount

    public int getVarbindCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeMaskelement

    public boolean removeMaskelement(Maskelement vMaskelement)

  Parameters:
    `vMaskelement` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeVarbind

    public boolean removeVarbind(Varbind vVarbind)

  Parameters:
    `vVarbind` -

### setMaskelement

    public void setMaskelement(int index,
                               Maskelement vMaskelement)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMaskelement` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setMaskelement

    public void setMaskelement(Maskelement[] maskelementArray)

  Parameters:
    `maskelementArray` -

### setMaskelementCollection

    public void setMaskelementCollection(java.util.Collection vMaskelement)

  Parameters:
    `vMaskelement` -

### setVarbind

    public void setVarbind(int index,
                           Varbind vVarbind)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vVarbind` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setVarbind

    public void setVarbind(Varbind[] varbindArray)

  Parameters:
    `varbindArray` -

### setVarbindCollection

    public void setVarbindCollection(java.util.Collection vVarbind)

  Parameters:
    `vVarbind` -

### unmarshal

    public static Mask unmarshal(java.io.Reader reader)
                          throws org.exolab.castor.xml.MarshalException,
                                 org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.